get
https://api.caas.staging.bancocdc.com.br/assignment/operations/available
In this route, we provide all operations that are in status 35 (Awaiting Assignment), where these operations can be requested for purchase. The route provides operations with the classification of their purchase.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-06 | The requested module is not enabled. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Request identification code. |
| return | Boolean | Indicates if the request was successful. |
| return_code | String | Return code of the request. |
| message | String | Return message of the request. |
| data[].code | String | Unique code associated with the operation. |
| data[].document_purchaser | String | Document number of the purchaser. |
| data[].name_purchaser | String | Name of the purchaser. |
| data[].total_installments | String | Total number of installments for the operation. |
| data[].number_operation | Number | Operation number. |
| data[].disbursement_amount | String | Amount disbursed for the operation. |
| data[].total_interest_amount_installments | String | Total interest amount for the installments. |
| data[].iof_amount | String | IOF (Tax on Financial Operations) amount. |
| data[].tariff_amout | String | Tariff amount. |
| data[].financed_amount | String | Total financed amount. |
| data[].paymentslip_amount | String | Paymentslip amount. |
| data[].assignment_amount | String | Total assignment amount. |
| data[].entry_date | String | Entry date of the operation. |